<template>
  <div>
    <h3 class="white--text pt-4 pb-4">{{ footerlinks.header }}</h3>
    <div v-for="(i, j) in footerlinks.helperItem" :key="j">
      <p class="d-flex white--text">
        <v-icon color="white">{{ i.icon }}</v-icon>
        <span :class="`${i.class}`">
          {{ i.title }}
        </span>
      </p>
    </div>
  </div>
</template>
<script>
export default {
  name: 'FooterAddress',
  computed: {
    footerlinks() {
      return {
        header: this.$i18n.t('footer.companyAddress'),
        helperItem: [
          {
            title: this.$i18n.t('address'),
            icon: 'mdi-google-maps',
            class: 'pr-2 pl-2',
          },
          {
            title: this.$i18n.t('telephone'),
            icon: 'mdi-phone',
            class: 'ltr-me',
          },
          {
            title: this.$i18n.t('email'),
            icon: 'mdi-email',
            class: 'pr-2 pl-2',
          },
        ],
      };
    },
  },
};
</script>
